package com.leanwo.activiti.dto.approver;

import java.io.Serializable;

/**
 * 条件.
 */
public class Condition implements Serializable{

	/** 字段名称. */
	private String fieldName;

	/** 显示名称. */
	private String displayName;
	
	/** 显示方式. */
	private String displayType;
	
	/** 大于小于  < >. */
	private String condition;
	
	/** 条件值(文本类型). */
	private String valueText;

	/** 条件值1(文本类型). */
	private String valueText1;
	
	/** 条件值(文本类型集合). */
	private String[] valueTexts;

	/** 条件值(id集合). */
	private Long[] valueIds;
	
	/** 与上个节点的关系 && 或 ||. */
	private String type;


	/**
	 * Gets the 字段名称.
	 *
	 * @return the 字段名称
	 */
	public String getFieldName() {
		return fieldName;
	}

	/**
	 * Sets the 字段名称.
	 *
	 * @param fieldName the new 字段名称
	 */
	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}

	/**
	 * Gets the 显示名称.
	 *
	 * @return the 显示名称
	 */
	public String getDisplayName() {
		return displayName;
	}

	/**
	 * Sets the 显示名称.
	 *
	 * @param displayName the new 显示名称
	 */
	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	/**
	 * Gets the 显示方式.
	 *
	 * @return the 显示方式
	 */
	public String getDisplayType() {
		return displayType;
	}

	/**
	 * Sets the 显示方式.
	 *
	 * @param displayType the new 显示方式
	 */
	public void setDisplayType(String displayType) {
		this.displayType = displayType;
	}

	/**
	 * Gets the 大于小于  < >.
	 *
	 * @return the 大于小于  < >
	 */
	public String getCondition() {
		return condition;
	}

	/**
	 * Sets the 大于小于  < >.
	 *
	 * @param condition the new 大于小于  < >
	 */
	public void setCondition(String condition) {
		this.condition = condition;
	}

	
	/**
	 * Gets the 条件值(文本类型).
	 *
	 * @return the 条件值(文本类型)
	 */
	public String getValueText() {
		return valueText;
	}

	/**
	 * Sets the 条件值(文本类型).
	 *
	 * @param valueText the new 条件值(文本类型)
	 */
	public void setValueText(String valueText) {
		this.valueText = valueText;
	}

	/**
	 * Gets the 条件值1(文本类型).
	 *
	 * @return the 条件值1(文本类型)
	 */
	public String getValueText1() {
		return valueText1;
	}

	/**
	 * Sets the 条件值1(文本类型).
	 *
	 * @param valueText1 the new 条件值1(文本类型)
	 */
	public void setValueText1(String valueText1) {
		this.valueText1 = valueText1;
	}

	/**
	 * Gets the 条件值(文本类型集合).
	 *
	 * @return the 条件值(文本类型集合)
	 */
	public String[] getValueTexts() {
		return valueTexts;
	}

	/**
	 * Sets the 条件值(文本类型集合).
	 *
	 * @param valueTexts the new 条件值(文本类型集合)
	 */
	public void setValueTexts(String[] valueTexts) {
		this.valueTexts = valueTexts;
	}

	/**
	 * Gets the 条件值(id集合).
	 *
	 * @return the 条件值(id集合)
	 */
	public Long[] getValueIds() {
		return valueIds;
	}

	/**
	 * Sets the 条件值(id集合).
	 *
	 * @param valueIds the new 条件值(id集合)
	 */
	public void setValueIds(Long[] valueIds) {
		this.valueIds = valueIds;
	}

	/**
	 * Gets the 与上个节点的关系 && 或 ||.
	 *
	 * @return the 与上个节点的关系 && 或 ||
	 */
	public String getType() {
		return type;
	}

	/**
	 * Sets the 与上个节点的关系 && 或 ||.
	 *
	 * @param type the new 与上个节点的关系 && 或 ||
	 */
	public void setType(String type) {
		this.type = type;
	}
}
